<script src="./Script.js"></script>

<template>
  <div>
    <div
      data-backdrop="static"
      data-keyboard="false"
      class="modal s--modal s--modal-right animated fadeInRight"
      id="editCustomer"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title">
              <span>
                <i class="icon icon-edit"></i>
              </span>
              Chỉnh sửa khách hàng
            </h3>
            <button
              type="button"
              class="close"
              aria-label="Close"
              data-dismiss="modal"
              @click.prevent="reset()"
            >
              <span aria-hidden="true">
                <i class="la la-times"></i>
              </span>
            </button>
          </div>

          <div class="modal-body" data-scrollable="true" data-scrollbar-shown="true">
            <form class="m-form m-form--state">
              <div
                class="s--alert m-alert m-alert--outline alert alert-danger text-center"
                v-if="isChangeDataToServer"
              >
                <div class="s--alert-message">
                  <h5
                    class="s--alert-heading"
                    style="margin-top: 5px;"
                  >Cập nhật khách hàng không thành công.</h5>
                  <span>Admin đã thay đổi dữ liệu. Vui lòng tải lại trang.</span>
                </div>
              </div>

              <div
                class="s--alert m-alert m-alert--outline alert alert-success text-center"
                v-if="isSuccess"
              >
                <div class="s--alert-icon">
                  <i class="la la-check"></i>
                </div>
                <div class="s--alert-message">
                  <h5 class="s--alert-heading">Cập nhật khách hàng thành công.</h5>
                </div>
              </div>

              <div
                class="s--alert m-alert m-alert--outline alert alert-danger text-center"
                v-if="messageErrorServer"
              >
                <!-- <div class="s--alert-icon"><i class="la la-close"></i></div> -->
                <div class="s--alert-message">
                  <h5 class="s--alert-heading">{{ messageErrorServer }}</h5>
                </div>
              </div>

              <!--  <div class="s--alert m-alert m-alert--outline alert alert-danger"
                                 v-if="errors && errors.items.length > 0">
                                 <div v-for="error in errors.items">
                                    <template v-if="detailCustomer && detailCustomer.attributes.length > 0">
                                        <template v-for="attribute in detailCustomer.attributes">
                                            <template v-if="attribute.attribute_code == error.field && error.rule == 'required'">
                                                - {{ attribute.attribute_name }} không được để trống.
                                            </template>
                                            <template v-if="attribute.attribute_code == error.field && error.rule == 'max'">
                                                <template v-if=" attribute.data_type_id == isPrice">
                                                  - {{ attribute.attribute_name }} giới hạn 20 ký tự.
                                                </template>
                                                <template v-else>
                                                    - {{ attribute.attribute_name }} giới hạn 250 ký tự.
                                                </template>
                                            </template>
                                            <template v-if="attribute.attribute_code == error.field && error.rule == 'regex'">
                                                - Định dạng <span class="text-lowercase">{{ attribute.attribute_name }}</span> không đúng.
                                            </template>
                                            <template v-if="attribute.attribute_code == error.field && error.rule == 'numeric'">
                                                - Giá chỉ được điền số >= 0.
                                            </template>
                                        </template>
                                    </template>
                                 </div>
              </div>-->

              <div class="m--margin-bottom-20">
                <div
                  data-toggle="collapse"
                  href="#collapseInfoBasic"
                  role="button"
                  aria-expanded="false"
                  aria-controls="collapseInfoBasic"
                  @click="showCollapse($event)"
                  class="m-portlet m-portlet--head-sm s--portlet-info-contact mb-0"
                  v-if="accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_CUSTOMER_BASE, userCurrentPermissions)"
                >
                  <div class="m-portlet__head">
                    <div style="width: 100%; display: flex ;cursor:pointer;">
                      <div
                        class="m-portlet__head-caption float-left"
                        style="width: calc(100% - 30px)"
                      >
                        <div class="m-portlet__head-title">
                          <h5
                            class="m-portlet__head-text s--portlet__head-text"
                            style="color: #444F78; font-weight: 500; font-size: 18px !important;"
                          >Thông tin cơ bản</h5>
                        </div>
                      </div>
                      <div class="m-portlet__head-tools float-left" style="width: 30px;">
                        <ul class="m-portlet__nav">
                          <li class="m-portlet__nav-item">
                            <a
                              href="javascript:;"
                              class="m-portlet__nav-link m-portlet__nav-link--icon"
                            >
                              <i class="s--icon-arrow la la-angle-down"></i>
                            </a>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- margin-bottom: 20px; -->
                <div
                  class="m-form m-form--label-align-right collapse"
                  style="box-shadow: rgba(69, 65, 78, 0.08) 0px 1px 15px 1px;"
                  id="collapseInfoBasic"
                >
                  <div class="card card-body" style="border: none;">
                    <attribute-with-data-type
                      :attributes="attributeInfoBasic"
                      :server_errors="server_errors"
                      :scope="'editCustomer'"
                    ></attribute-with-data-type>
                  </div>
                </div>
              </div>

              <div class="m--margin-bottom-20">
                <div
                  data-toggle="collapse"
                  href="#collapseInfoGeneral"
                  role="button"
                  aria-expanded="false"
                  aria-controls="collapseInfoGeneral"
                  @click="showCollapse($event)"
                  class="m-portlet m-portlet--head-sm s--portlet-info-basic mb-0"
                  v-if="accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_CUSTOMER_GENERAL, userCurrentPermissions)"
                >
                  <div class="m-portlet__head">
                    <div style="width: 100%; display: flex ;cursor:pointer;">
                      <div
                        class="m-portlet__head-caption float-left"
                        style="width: calc(100% - 30px)"
                      >
                        <div class="m-portlet__head-title">
                          <h5
                            class="m-portlet__head-text s--portlet__head-text"
                            style="color: #444F78; font-weight: 500; font-size: 18px !important;"
                          >Thông tin chung</h5>
                        </div>
                      </div>
                      <div class="m-portlet__head-tools float-left" style="width: 30px;">
                        <ul class="m-portlet__nav">
                          <li class="m-portlet__nav-item">
                            <a
                              href="javascript:;"
                              class="m-portlet__nav-link m-portlet__nav-link--icon"
                            >
                              <i class="s--icon-arrow la la-angle-down"></i>
                            </a>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
                <div
                  class="m-form m-form--label-align-right collapse"
                  id="collapseInfoGeneral"
                  style="box-shadow: rgba(69, 65, 78, 0.08) 0px 1px 15px 1px;"
                >
                  <div class="card card-body" style="border: none;">
                    <attribute-with-data-type
                      :attributes="attributeInfoGeneral"
                      :server_errors="server_errors"
                      :scope="'editCustomer'"
                    ></attribute-with-data-type>

                    <div class="form-group m-form__group" v-if="detailCustomer.assigners">
                      <label for="assigners" class="form-control-label nt-label">
                        Người phụ
                        trách
                      </label>
                      <v-select
                        v-model="detailCustomer.assigners"
                        label="full_name"
                        :options="listUsers"
                        index="id"
                        multiple
                        id="assigners"
                        name="assigners"
                      >
                        <span slot="no-options">Không tìm thấy</span>
                        <template slot="option" slot-scope="option">
                          <b>{{ option.full_name | truncateWords }}</b>
                          <br />
                          {{ option.email | truncateWords }}
                        </template>
                      </v-select>
                    </div>
                  </div>
                </div>
              </div>

              <div class="m--margin-bottom-20">
                <div
                  data-toggle="collapse"
                  href="#collapseInfoBuy"
                  role="button"
                  aria-expanded="false"
                  aria-controls="collapseInfoBuy"
                  @click="showCollapse($event)"
                  class="m-portlet m-portlet--head-sm s--portlet-info-basic mb-0"
                  v-if="accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_CUSTOMER_BUYER, userCurrentPermissions)"
                >
                  <div class="m-portlet__head">
                    <div style="width: 100%; display: flex ;cursor:pointer;">
                      <div
                        class="m-portlet__head-caption float-left"
                        style="width: calc(100% - 30px)"
                      >
                        <div class="m-portlet__head-title">
                          <h5
                            class="m-portlet__head-text s--portlet__head-text"
                            style="color: #444F78; font-weight: 500; font-size: 18px!important;"
                          >Thông tin khi là người mua hàng</h5>
                        </div>
                      </div>
                      <div class="m-portlet__head-tools float-left" style="width: 30px;">
                        <ul class="m-portlet__nav">
                          <li class="m-portlet__nav-item">
                            <a
                              href="javascript:;"
                              class="m-portlet__nav-link m-portlet__nav-link--icon"
                            >
                              <i class="s--icon-arrow la la-angle-down"></i>
                            </a>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
                <div
                  class="m-form m-form--label-align-right collapse"
                  id="collapseInfoBuy"
                  style="box-shadow: rgba(69, 65, 78, 0.08) 0px 1px 15px 1px;"
                >
                  <div class="card card-body" style="border: none;">
                    <attribute-with-data-type
                      :attributes="attributeInfoBuy"
                      :server_errors="server_errors"
                      :scope="'editCustomer'"
                    ></attribute-with-data-type>
                  </div>
                </div>
              </div>

              <div class="m--margin-bottom-20">
                <div
                  data-toggle="collapse"
                  href="#collapseInfoUse"
                  role="button"
                  aria-expanded="false"
                  aria-controls="collapseInfoUse"
                  @click="showCollapse($event)"
                  class="m-portlet m-portlet--head-sm s--portlet-info-basic mb-0"
                  v-if="accessible( userCheckAddOn, 'customer', PERMISSION_UPDATE_CUSTOMER_END_USER, userCurrentPermissions)"
                >
                  <div class="m-portlet__head">
                    <div style="width: 100%; display: flex ;cursor:pointer;">
                      <div
                        class="m-portlet__head-caption float-left"
                        style="width: calc(100% - 30px)"
                      >
                        <div class="m-portlet__head-title">
                          <h5
                            class="m-portlet__head-text s--portlet__head-text"
                            style="color: #444F78; font-weight: 500; font-size: 18px !important;"
                          >Thông tin khi là người sử dụng cuối</h5>
                        </div>
                      </div>
                      <div class="m-portlet__head-tools float-left" style="width: 30px;">
                        <ul class="m-portlet__nav">
                          <li class="m-portlet__nav-item">
                            <a
                              href="javascript:;"
                              class="m-portlet__nav-link m-portlet__nav-link--icon"
                            >
                              <i class="s--icon-arrow la la-angle-down"></i>
                            </a>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
                <div
                  class="m-form m-form--label-align-right collapse"
                  id="collapseInfoUse"
                  style="box-shadow: rgba(69, 65, 78, 0.08) 0px 1px 15px 1px;"
                >
                  <div class="card card-body" style="border: none;">
                    <attribute-with-data-type
                      :attributes="attributeInfoUse"
                      :server_errors="server_errors"
                      :scope="'editCustomer'"
                    ></attribute-with-data-type>
                  </div>
                </div>
              </div>
            </form>
          </div>

          <div class="modal-footer">
            <button
              type="button"
              class="nt-button nt-button-secondary mr-2"
              @click.prevent="reset()"
              data-dismiss="modal"
            >Hủy bỏ</button>
            <button
              :disabled="errors.any() || isLoader || !isChange"
              :class="{'nt-button-disabled' : errors.any() || isLoader || !isChange}"
              type="submit"
              class="nt-button nt-button-warning mr-0 justify-content-center"
              @click.prevent="update('editCustomer')"
            >
              <!--  <div v-if="isLoader" class="m-loader m-loader--brand" style="display: inline-block; top: -3px;"></div> -->
              <template>Cập nhật</template>
            </button>
          </div>
        </div>
      </div>
    </div>
    <!--<edit-warning :is_change="isChange" :is_cancel="isCancel" @is_warning_submit="isWarningSubmit"-->
    <!--@is_warning_cancel="isWarningCancel" :is_show="is_show_popup_edit"></edit-warning>-->
  </div>
</template>
